> ## Documentation Index
> Fetch the complete documentation index at: https://docs.light.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Start authorization flow

> Redirects the user to the authorization page to start the OAuth V2 authorization flow



## OpenAPI

````yaml /openapi-public.json get /oauth/authorize
openapi: 3.0.1
info:
  title: Light API
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
  - bearerAuth: []
paths:
  /oauth/authorize:
    get:
      tags:
        - Authorization
      summary: Start authorization flow
      description: >-
        Redirects the user to the authorization page to start the OAuth V2
        authorization flow
      operationId: startOAuthAuthorizationFlow
      parameters:
        - name: redirect_uri
          in: query
          schema:
            type: string
        - name: state
          in: query
          schema:
            type: string
        - name: client_id
          in: query
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8: {}
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: >-
        Basic authentication header of the form **Basic** **<api_key>**, where
        **<api_key>** is your api key.
      name: Authorization
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````